﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 02/11/2021 14:02:13
-- Server version: 5.7.36-log
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo9;

CREATE DATABASE IF NOT EXISTS ejemplo9
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejemplo9;

--
-- Create table `provincias`
--
CREATE TABLE IF NOT EXISTS provincias (
  codigo int(100) NOT NULL,
  nombre varchar(100) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `paquetes`
--
CREATE TABLE IF NOT EXISTS paquetes (
  codigo int(100) NOT NULL,
  descripcion varchar(500) DEFAULT NULL,
  destinatario varchar(100) DEFAULT NULL,
  direccion varchar(200) DEFAULT NULL,
  PRIMARY KEY (codigo)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `destinado`
--
CREATE TABLE IF NOT EXISTS destinado (
  provincia int(11) NOT NULL,
  paquetes int(11) NOT NULL,
  PRIMARY KEY (provincia, paquetes)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `paquetes` on table `destinado`
--
ALTER TABLE destinado
ADD UNIQUE INDEX paquetes (paquetes);

--
-- Create foreign key
--
ALTER TABLE destinado
ADD CONSTRAINT fkDestinado_paquetes FOREIGN KEY (paquetes)
REFERENCES paquetes (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE destinado
ADD CONSTRAINT fkDestinado_provincia FOREIGN KEY (provincia)
REFERENCES provincias (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `camiones`
--
CREATE TABLE IF NOT EXISTS camiones (
  potencia int(20) DEFAULT NULL,
  matricula varchar(30) NOT NULL,
  modelo varchar(100) DEFAULT NULL,
  tipo varchar(30) DEFAULT NULL,
  PRIMARY KEY (matricula)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `camioneros`
--
CREATE TABLE IF NOT EXISTS camioneros (
  poblacion varchar(100) DEFAULT NULL,
  telefono int(30) DEFAULT NULL,
  direccion varchar(100) DEFAULT NULL,
  nombre varchar(100) DEFAULT NULL,
  dni varchar(30) NOT NULL,
  PRIMARY KEY (dni)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `distribuye`
--
CREATE TABLE IF NOT EXISTS distribuye (
  camionero varchar(30) NOT NULL,
  paquetes int(11) NOT NULL,
  PRIMARY KEY (camionero, paquetes)
)
ENGINE = INNODB,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `paquetes` on table `distribuye`
--
ALTER TABLE distribuye
ADD UNIQUE INDEX paquetes (paquetes);

--
-- Create foreign key
--
ALTER TABLE distribuye
ADD CONSTRAINT fkDistribuye_camioneros FOREIGN KEY (camionero)
REFERENCES camioneros (dni) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE distribuye
ADD CONSTRAINT fkDistribuye_paquetes FOREIGN KEY (paquetes)
REFERENCES paquetes (codigo) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `conduce`
--
CREATE TABLE IF NOT EXISTS conduce (
  camionero varchar(30) NOT NULL,
  camiones varchar(30) NOT NULL,
  PRIMARY KEY (camionero, camiones)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 16384,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE conduce
ADD CONSTRAINT fkConduce_camion FOREIGN KEY (camiones)
REFERENCES camiones (matricula) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE conduce
ADD CONSTRAINT fkConduce_camionero FOREIGN KEY (camionero)
REFERENCES camioneros (dni) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table provincias
--
-- Table ejemplo9.provincias does not contain any data (it is empty)

-- 
-- Dumping data for table paquetes
--
INSERT INTO paquetes VALUES
(7845242, 'tyhrtyhshf', 'hhtgshh', 'htshsh');

-- 
-- Dumping data for table camiones
--
INSERT INTO camiones VALUES
(452, '5421', 'tfhydfb', 'fdhfd');

-- 
-- Dumping data for table camioneros
--
INSERT INTO camioneros VALUES
('dgdfhb', 542424, 'yhjgfxjngf', 'gfjng', '45646');

-- 
-- Dumping data for table distribuye
--
-- Table ejemplo9.distribuye does not contain any data (it is empty)

-- 
-- Dumping data for table destinado
--
-- Table ejemplo9.destinado does not contain any data (it is empty)

-- 
-- Dumping data for table conduce
--
INSERT INTO conduce VALUES
('45646', '5421');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;